
Redmine - Defect #35341

Redmine "block in deliever!" email. Help needed.

2021-06-01 08:42 - Gavin Ong

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.4

Description

Issue:

After reboot my redmine PC, notice that all the notication email are not send out. Checked on Error log, saw the  `block in deliver!'

error. Need help to resolve this issue. Thank you.

Error Log:

App 2195 output: #<Thread:0x00007f279795e1b8@/data/redmine/redmine-3.4.4/config/initializers/10-pa

tches.rb:111 run> terminated with exception (report_on_exception is true):

App 2195 output: /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/net/smtp.rb:539:in `initialize': 

getaddrinfo: Temporary failure in name resolution (SocketError)

App 2195 output:     from /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/net/smtp.rb:539:in `open

'

App 2195 output:     from /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/net/smtp.rb:539:in `tcp_

socket'

App 2195 output:     from /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/net/smtp.rb:549:in `bloc

k in do_start'

App 2195 output:     from /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/timeout.rb:93:in `block 

in timeout'

App 2195 output:     from /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/timeout.rb:103:in `timeo

ut'

App 2195 output:     from /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/net/smtp.rb:548:in `do_s

tart'

App 2195 output:     from /usr/share/rvm/rubies/ruby-2.5.0/lib/ruby/2.5.0/net/smtp.rb:518:in `star

t'

App 2195 output:     from /usr/share/rvm/gems/ruby-2.5.0/gems/mail-2.6.6/lib/mail/network/delivery

_methods/smtp.rb:111:in `deliver!'

App 2195 output:     from /data/redmine/redmine-3.4.4/config/initializers/10-patches.rb:112:in `bl

ock in deliver!'

 Redmine information

Environment:

Redmine version                3.4.4.stable

Ruby version                   2.5.0-p0 (2017-12-25) [x86_64-linux]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

SCM:

Git                            2.7.4

Filesystem

Redmine plugins:

redmine_mentions               0.1.1

redmine_wiki_extensions        0.8.2

redmine_wiki_lists             0.0.9

wiki_issue_fields              0.5.2

History

#1 - 2021-06-02 03:58 - Gavin Ong

- Status changed from New to Resolved
Sorry for post wrong place. Have posted this into forum.

#2 - 2021-06-02 07:11 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your understanding.
